> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/tiao-jian-lie-biao/w.md).

# W

## wearing\_helmet/wearing\_chestplate/wearing\_leggings/wearing\_boots

玩家的头盔、胸甲、护腿、靴子必须佩戴指定物品才能满足该条件。

```
- id: wearing_helmet
  args:
    items:
      - diamond_helmet protection:4
      - netherite_helmet protection:3 
```

```
- id: wearing_chestplate
  args:
    items:
      - diamond_chestplate protection:4
      - netherite_chestplate protection:3 
```

```
- id: wearing_leggings
  args:
    items: 
      - diamond_leggings protection:4
      - netherite_leggings protection:3 
```

```
- id: wearing_boots
  args:
    items:
      - diamond_boots protection:4
      - netherite_boots protection:3 
```

其中：

* args.items：物品列表，使用物品语法。

## within\_radius\_of

玩家必须在指定坐标的一定范围内才能满足该条件。

```
- id: within_radius_of
  args:
    x: 100
    y: 100
    z: 100
    radius: 25
```

其中：

* args.x/y/z：坐标。
* args.radius：半径范围。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/tiao-jian-lie-biao/w.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
